Subject: bug#55256: Writing direction

From: Frederik Fouvry <[email-masked]>
Date: Wed, 4 May 2022 11:02:50 +0200

On Wed, 4 May 2022 at 10:23, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 04 May 2022 09:20:05 +0200
> > From: frederik.fouvry--- via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> >
> >
> > I forgot to add:
> >
> > The Unicode noncharacters should not cause a change in writing
> > direction, since they are not Arabic characters, but a set of characters
> > for internal use only (no exchange between different parties).
>
> That is not entirely true, because Unicode assigns default Bidi Class
> properties to some unassigned codepoints, and Emacs obeys that.  So an
> unassigned codepoint (which is AFAIU what "noncharacter" stands for in
> your terminology) for which Unicode says that its Bidi Class should
> be, for example, AL, _will_ cause change of text directionality.
>
> If you use those unassigned codepoints for private use, you will have
> to override the default properties by manually modifying the relevant
> Emacs char-tables at run time.
>

That sounds fair enough. I admit that my statement was generalising too
much.

The odd name "noncharacter" is Unicode terminology, not mine (see e.g. Spec
v14, Ch. 2, p.30).
<https://www.facebook.com/Acrolinx-127089923970436/>